Package org.postgresql.xml

# Interface PGXmlFactoryFactory

All Known Implementing Classes:
  `DefaultPGXmlFactoryFactory`, `LegacyInsecurePGXmlFactoryFactory`

public interface PGXmlFactoryFactory

## Method Summary

Modifier and Type
Method
Description
`XMLReader`
`createXMLReader()`
`DocumentBuilder`
`newDocumentBuilder()`
`SAXTransformerFactory`
`newSAXTransformerFactory()`
`TransformerFactory`
`newTransformerFactory()`
`XMLInputFactory`
`newXMLInputFactory()`
`XMLOutputFactory`
`newXMLOutputFactory()`

## Method Details

### newDocumentBuilder

DocumentBuilder newDocumentBuilder() throws ParserConfigurationException

Throws:
  `ParserConfigurationException`

### newTransformerFactory

TransformerFactory newTransformerFactory()

### newSAXTransformerFactory

SAXTransformerFactory newSAXTransformerFactory()

### newXMLInputFactory

XMLInputFactory newXMLInputFactory()

### newXMLOutputFactory

XMLOutputFactory newXMLOutputFactory()

### createXMLReader

XMLReader createXMLReader() throws SAXException

Throws:
  `SAXException`